Axis2/C: http response writer

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# http response writer
[http transport]

## Files
file | axis2_http_response_writer.h
| axis2 Response Writer

## Typedefs
typedef struct axis2_http_response_writer | axis2_http_response_writer_t
## Functions
AXIS2_EXTERN axis2_char_t * | axis2_http_response_writer_get_encoding (const axis2_http_response_writer_t *response_writer, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_close (axis2_http_response_writer_t *response_writer, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_flush (axis2_http_response_writer_t *response_writer, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_write_char (axis2_http_response_writer_t *response_writer, const axutil_env_t *env, char c)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_write_buf (axis2_http_response_writer_t *response_writer, const axutil_env_t *env, char *buf, int offset, axis2_ssize_t len)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_print_str (axis2_http_response_writer_t *response_writer, const axutil_env_t *env, const char *str)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_print_int (axis2_http_response_writer_t *response_writer, const axutil_env_t *env, int i)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_println_str (axis2_http_response_writer_t *response_writer, const axutil_env_t *env, const char *str)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_println (axis2_http_response_writer_t *response_writer, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_http_response_writer_free (axis2_http_response_writer_t *response_writer, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_response_writer_t * | axis2_http_response_writer_create (const axutil_env_t *env, axutil_stream_t *stream)
AXIS2_EXTERN axis2_http_response_writer_t * | axis2_http_response_writer_create_with_encoding (const axutil_env_t *env, axutil_stream_t *stream, const axis2_char_t *encoding)

## Typedef Documentation

typedef struct axis2_http_response_writer axis2_http_response_writer_t

Type name for struct axis2_http_response_writer

## Function Documentation

AXIS2_EXTERN axis2_status_t axis2_http_response_writer_close | ( | axis2_http_response_writer_t * | response_writer,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | response_writer | pointer to response writer
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_http_response_writer_t* axis2_http_response_writer_create | ( | const axutil_env_t * | env,
|  | axutil_stream_t * | stream |
| ) |  |  |

Parameters:

  | env | pointer to environment struct
  | stream | pointer to stream

AXIS2_EXTERN axis2_http_response_writer_t* axis2_http_response_writer_create_with_encoding | ( | const axutil_env_t * | env,
|  | axutil_stream_t * | stream,
|  | const axis2_char_t * | encoding |
| ) |  |  |

Parameters:

  | env | pointer to environment struct
  | stream | pointer to stream
  | encoding | pointer to encoding

AXIS2_EXTERN axis2_status_t axis2_http_response_writer_flush | ( | axis2_http_response_writer_t * | response_writer,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | response_writer | pointer to response writer
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN void axis2_http_response_writer_free | ( | axis2_http_response_writer_t * | response_writer,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | response_writer | pointer to response writer
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_char_t* axis2_http_response_writer_get_encoding | ( | const axis2_http_response_writer_t * | response_writer,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | response_writer | pointer to response writer
  | env | pointer to environment struct

AXIS2_EXTERN axis2_status_t axis2_http_response_writer_print_int | ( | axis2_http_response_writer_t * | response_writer,
|  | const axutil_env_t * | env,
|  | int | i |
| ) |  |  |

Parameters:

  | response_writer | pointer to response writer
  | env | pointer to environment struct
  | i |

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_http_response_writer_print_str | ( | axis2_http_response_writer_t * | response_writer,
|  | const axutil_env_t * | env,
|  | const char * | str |
| ) |  |  |

Parameters:

  | response_writer | pointer to response writer
  | env | pointer to environment struct
  | str | pointer to str

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_http_response_writer_println | ( | axis2_http_response_writer_t * | response_writer,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | response_writer | pointer to response writer
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_http_response_writer_println_str | ( | axis2_http_response_writer_t * | response_writer,
|  | const axutil_env_t * | env,
|  | const char * | str |
| ) |  |  |

Parameters:

  | response_writer | pointer to response writer
  | env | pointer to environment struct
  | str | pointer to str

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_http_response_writer_write_buf | ( | axis2_http_response_writer_t * | response_writer,
|  | const axutil_env_t * | env,
|  | char * | buf,
|  | int | offset,
|  | axis2_ssize_t | len |
| ) |  |  |

Parameters:

  | response_writer | pointer to response writer
  | env | pointer to environment struct
  | buf | pointer to buf
  | offset |
  | len |

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_http_response_writer_write_char | ( | axis2_http_response_writer_t * | response_writer,
|  | const axutil_env_t * | env,
|  | char | c |
| ) |  |  |

Parameters:

  | response_writer | pointer to response writer
  | env | pointer to environment struct
  | c |

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE